<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <requires lib="Adw" version="1.0"/>
  <template class="EditorPropertiesDialog" parent="AdwWindow">
    <property name="title" translatable="yes">Properties</property>
    <property name="resizable">false</property>
    <property name="default-width">360</property>
    <style>
      <class name="org-gnome-TextEditor"/>
      <class name="properties-dialog"/>
    </style>
    <property name="content">
      <object class="AdwToolbarView">
        <child type="top">
          <object class="AdwHeaderBar"/>
        </child>
        <property name="content">
          <object class="AdwPreferencesPage">
            <child>
              <object class="AdwPreferencesGroup">
                <property name="title" translatable="yes">File</property>
                <child>
                  <object class="AdwActionRow" id="name">
                    <property name="title" translatable="yes">Name</property>
                    <style>
                      <class name="property"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="AdwActionRow" id="location">
                    <property name="title" translatable="yes">Location</property>
                    <property name="subtitle-lines">1</property>
                    <property name="use-markup">False</property>
                    <child type="suffix">
                      <object class="GtkButton">
                        <style>
                          <class name="flat"/>
                        </style>
                        <property name="action-name">open-folder</property>
                        <property name="icon-name">document-open-symbolic</property>
                        <property name="tooltip-text" translatable="yes">Open in File Manager</property>
                        <property name="valign">center</property>
                      </object>
                    </child>
                    <style>
                      <class name="property"/>
                    </style>
                  </object>
                </child>
              </object>
            </child>
            <child>
              <object class="AdwPreferencesGroup">
                <property name="title" translatable="yes">Statistics</property>
                <child>
                  <object class="AdwActionRow" id="lines">
                    <property name="title" translatable="yes">Lines</property>
                    <style>
                      <class name="property"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="AdwActionRow" id="words">
                    <property name="title" translatable="yes">Words</property>
                    <style>
                      <class name="property"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="AdwActionRow" id="chars">
                    <property name="title" translatable="yes">Characters, No Spaces</property>
                    <style>
                      <class name="property"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="AdwActionRow" id="all_chars">
                    <property name="title" translatable="yes">All Characters</property>
                    <style>
                      <class name="property"/>
                    </style>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </property>
      </object>
    </property>
  </template>
</interface>
